Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel.charts
Interface ManualLayout

    public interface ManualLayout

High level representation of chart element manual layout.

Author:
  Roman Kashitsyn

Method Summary
`LayoutMode` | `getHeightMode()` Returns current height mode of this
`double` | `getHeightRatio()` Returns current fraction of the height of the chart.
`LayoutTarget` | `getTarget()` Returns current layout target.
`LayoutMode` | `getWidthMode()` Returns current width mode of this manual layout.
`double` | `getWidthRatio()` Returns current fraction of the width of the chart.
`double` | `getX()` Returns the x location of the chart element.
`LayoutMode` | `getXMode()` Returns current x-coordinnate layout mode.
`double` | `getY()` Returns current y location of the chart element.
`LayoutMode` | `getYMode()` Returns current y-coordinate layout mode.
`void` | `setHeightMode(LayoutMode mode)` Specifies how to interpret the Height element for this manual layout.
`void` | `setHeightRatio(double ratio)` Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.
`void` | `setTarget(LayoutTarget target)` Sets the layout target.
`void` | `setWidthMode(LayoutMode mode)` Specifies how to interpret the Width element for this manual layout.
`void` | `setWidthRatio(double ratio)` Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.
`void` | `setX(double x)` Specifies the x location (left) of the chart element as a fraction of the width of the chart.
`void` | `setXMode(LayoutMode mode)` Sets the x-coordinate layout mode.
`void` | `setY(double y)` Specifies the y location (top) of the chart element as a fraction of the height of the chart.
`void` | `setYMode(LayoutMode mode)` Sets the y-coordinate layout mode.

Method Detail

### setTarget

    void setTarget(LayoutTarget target)

  Sets the layout target.

  Parameters:
    `target` - new layout target.

### getTarget

    LayoutTarget getTarget()

  Returns current layout target.

  Returns:
    current layout target

### setXMode

    void setXMode(LayoutMode mode)

  Sets the x-coordinate layout mode.

  Parameters:
    `mode` - new x-coordinate layout mode.

### getXMode

    LayoutMode getXMode()

  Returns current x-coordinnate layout mode.

  Returns:
    current x-coordinate layout mode.

### setYMode

    void setYMode(LayoutMode mode)

  Sets the y-coordinate layout mode.

  Parameters:
    `mode` - new y-coordinate layout mode.

### getYMode

    LayoutMode getYMode()

  Returns current y-coordinate layout mode.

  Returns:
    current y-coordinate layout mode.

### getX

    double getX()

  Returns the x location of the chart element.

  Returns:
    the x location (left) of the chart element or 0.0 if not set.

### setX

    void setX(double x)

  Specifies the x location (left) of the chart element as a fraction of the width of the chart. If Left Mode is Factor, then the position is relative to the default position for the chart element.

### getY

    double getY()

  Returns current y location of the chart element.

  Returns:
    the y location (top) of the chart element or 0.0 if not set.

### setY

    void setY(double y)

  Specifies the y location (top) of the chart element as a fraction of the height of the chart. If Top Mode is Factor, then the position is relative to the default position for the chart element.

### setWidthMode

    void setWidthMode(LayoutMode mode)

  Specifies how to interpret the Width element for this manual layout.

  Parameters:
    `mode` - new width layout mode of this manual layout.

### getWidthMode

    LayoutMode getWidthMode()

  Returns current width mode of this manual layout.

  Returns:
    width mode of this manual layout.

### setHeightMode

    void setHeightMode(LayoutMode mode)

  Specifies how to interpret the Height element for this manual layout.

  Parameters:
    `mode` - new height mode of this manual layout.

### getHeightMode

    LayoutMode getHeightMode()

  Returns current height mode of this

  Returns:
    height mode of this manual layout.

### setWidthRatio

    void setWidthRatio(double ratio)

  Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.

  Parameters:
    `ratio` - a fraction of the width of the chart.

### getWidthRatio

    double getWidthRatio()

  Returns current fraction of the width of the chart.

  Returns:
    fraction of the width of the chart or 0.0 if not set.

### setHeightRatio

    void setHeightRatio(double ratio)

  Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.

  Parameters:
    `ratio` - a fraction of the height of the chart.

### getHeightRatio

    double getHeightRatio()

  Returns current fraction of the height of the chart.

  Returns:
    fraction of the height of the chart or 0.0 if not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD